Index: branches/2016/dev_NOC_2016/NEMOGCM/ARCH/arch-THALASSA.fcm
===================================================================
--- branches/2016/dev_NOC_2016/NEMOGCM/ARCH/arch-THALASSA.fcm	(revision 7339)
+++ branches/2016/dev_NOC_2016/NEMOGCM/ARCH/arch-THALASSA.fcm	(revision 7339)
@@ -0,0 +1,68 @@
+# generic gfortran compiler options for OSX installed with macport, http://www.macports.org/
+#
+# port packages needed:
+#    sudo port install openmpi +gcc48
+#    sudo port install hdf5-18 +cxx +fortran +openmpi (I'am not sure cxx is needed)
+#    sudo port install netcdf         +openmpi
+#    sudo port install netcdf-fortran +openmpi
+#    sudo port install netcdf-cxx     +openmpi (I'am not sure it is needed)
+#    sudo port install p5-uri
+# add to your PATH /opt/local/lib/openmpi/bin so that mpif90 is properly known
+#
+# NCDF_HOME   root directory containing lib and include subdirectories for netcdf4
+# HDF5_HOME   root directory containing lib and include subdirectories for HDF5
+# XIOS_HOME   root directory containing lib for XIOS
+# OASIS_HOME  root directory containing lib for OASIS
+#
+# NCDF_INC    netcdf4 include file
+# NCDF_LIB    netcdf4 library
+# XIOS_INC    xios include file    (taken into accound only if key_iomput is activated)
+# XIOS_LIB    xios library         (taken into accound only if key_iomput is activated)
+# OASIS_INC   oasis include file   (taken into accound only if key_oasis3 is activated)
+# OASIS_LIB   oasis library        (taken into accound only if key_oasis3 is activated)
+#
+# FC          Fortran compiler command
+# FCFLAGS     Fortran compiler flags
+# FFLAGS      Fortran 77 compiler flags
+# LD          linker
+# LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries
+# FPPFLAGS    pre-processing flags
+# AR          assembler
+# ARFLAGS     assembler flags
+# MK          make
+# USER_INC    complete list of include files
+# USER_LIB    complete list of libraries to pass to the linker
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
+#
+# Note that:
+#  - unix variables "$..." are accpeted and will be evaluated before calling fcm.
+#  - fcm variables are starting with a % (and not a $)
+#
+%NCDF_HOME           /nerc/packages/netcdf/4.3.3.1
+%HDF5_HOME           /nerc/packages/hdf5/1.8.15
+%XIOS_HOME           /noc/msm/working/nemo/acc/XIOS/xios-1.0
+%OASIS_HOME          
+
+%NCDF_INC            -I%NCDF_HOME/include -I%HDF5_HOME/include
+%NCDF_LIB            -L%NCDF_HOME/lib -lnetcdff -lnetcdf
+%XIOS_INC            -I%XIOS_HOME/inc 
+%XIOS_LIB            -L%XIOS_HOME/lib -lxios
+%OASIS_INC           
+%OASIS_LIB           
+
+%CPP	             cpp
+%FC	             mpif90
+%FCFLAGS             -fdefault-real-8 -O3 -funroll-all-loops -fcray-pointer -ffree-line-length-none
+%FFLAGS              %FCFLAGS
+%LD                  %FC
+%LDFLAGS             -lstdc++
+%FPPFLAGS            -P -C -traditional
+%AR                  ar
+%ARFLAGS             rs
+%MK                  make
+%USER_INC            %XIOS_INC %OASIS_INC %NCDF_INC
+%USER_LIB            %XIOS_LIB %OASIS_LIB %NCDF_LIB
+
+%CC                  cc
+%CFLAGS              -O0
Index: branches/2016/dev_NOC_2016/NEMOGCM/ARCH/arch-macport_osx.fcm
===================================================================
--- branches/2016/dev_NOC_2016/NEMOGCM/ARCH/arch-macport_osx.fcm	(revision 7338)
+++ branches/2016/dev_NOC_2016/NEMOGCM/ARCH/arch-macport_osx.fcm	(revision 7339)
@@ -54,5 +54,5 @@
 %CPP	             cpp-mp-4.8
 %FC	             mpif90 
-%FCFLAGS             -fdefault-real-8 -O3 -funroll-all-loops -fcray-pointer 
+%FCFLAGS             -fdefault-real-8 -O3 -funroll-all-loops -fcray-pointer -ffree-line-length-none
 %FFLAGS              %FCFLAGS
 %LD                  %FC
Index: branches/2016/dev_NOC_2016/NEMOGCM/CONFIG/WAD_TEST_CASES/EXP00/README.py
===================================================================
--- branches/2016/dev_NOC_2016/NEMOGCM/CONFIG/WAD_TEST_CASES/EXP00/README.py	(revision 7339)
+++ branches/2016/dev_NOC_2016/NEMOGCM/CONFIG/WAD_TEST_CASES/EXP00/README.py	(revision 7339)
@@ -0,0 +1,2 @@
+ncks -d y,17,17,1 WAD_1ts_00010101_00010101_grid_T.nc sshtime.nc
+ncks -4 -A -v gdepw_0,bathy -d y,17,17,1 -d z,9,9,1 -C mesh_mask_wad1.nc sshtime.nc
Index: branches/2016/dev_NOC_2016/NEMOGCM/CONFIG/WAD_TEST_CASES/EXP00/matpoly2.py
===================================================================
--- branches/2016/dev_NOC_2016/NEMOGCM/CONFIG/WAD_TEST_CASES/EXP00/matpoly2.py	(revision 7339)
+++ branches/2016/dev_NOC_2016/NEMOGCM/CONFIG/WAD_TEST_CASES/EXP00/matpoly2.py	(revision 7339)
@@ -0,0 +1,119 @@
+import numpy as np
+import netCDF4
+
+import matplotlib.pyplot as plt
+import matplotlib
+from matplotlib.patches import Polygon
+from matplotlib.collections import PatchCollection
+from netCDF4 import Dataset
+import sys
+
+print sys.argv[1]
+pathin =  sys.argv[1]
+
+nx = 34 
+ny = 1
+nt = 24
+print nx
+print ny
+
+
+fw = Dataset(pathin)
+ssh = fw.variables['sossheig'][:,:,:]
+#bat = fw.variables['gdepw_0'][0,0,:,:]
+bat = fw.variables['bathy'][0,:,:]
+#vot = fw.variables['votemper'][:,0,:,:]
+vot = fw.variables['sosaline'][:,:,:]
+print ssh.shape
+print "bat"
+print bat.shape 
+print "vot"
+print vot.shape 
+nt = ssh.shape[0]
+nx = ssh.shape[2]
+print nx,nt
+fw.close()
+
+bat = -1.*bat
+batmin = np.amin(bat)
+batmax = np.amax(bat)
+brange = batmax - batmin
+tol = 0.1*brange
+print batmin,batmax,' ho'
+
+#for t in range(300,313):
+
+for t in range(0,nt,3):
+ wadfr = "wadfr{:0>4d}.png".format(t)
+ t24  = np.mod(t,24)
+ dy   = np.int(t/24.0)
+
+ tfac = 12.0/3600.0
+ t24  = np.int(np.mod(t*tfac,24))
+ dy   = np.int(t*tfac/24.0)
+ mn   = np.int(np.rint((np.mod(t*tfac,24) - t24 )*60))
+ hour  = "t={:0>2d}:{:0>2d}:{:0>2d} ".format(dy,t24,mn)
+ hour2  = "  (days:hrs:mins)"
+ batpts = np.zeros((nx+4,2))
+ sshpts = np.zeros((2*nx,2))
+ votpts = np.zeros((nx,2))
+ #codes = np.ones(nx,int)
+ #codes[0] = path.Path.MOVETO
+ #codes[1:] = path.Path.LINETO
+ for pt in range(nx):
+    batpts[pt+2,0] = pt
+    batpts[pt+2,1] = bat[0,pt]
+    sshpts[pt,0] = pt
+    sshpts[pt,1] = ssh[t,0,pt]
+    votpts[pt,0] = pt
+    votpts[pt,1] = np.minimum(36.,vot[t,0,pt])
+    votpts[pt,1] = np.maximum(30.0,votpts[pt,1])
+    votpts[pt,1] = batmin +0.2*brange + (votpts[pt,1]-30.)*brange/6.0
+ batpts[nx+1,1] = batmax
+ batpts[nx+2,0] = nx-1
+ batpts[nx+2,1] = batmax
+ batpts[nx+3,0] = nx-1
+ batpts[nx+3,1] = batmin
+ batpts[0,0] = 0.0
+ batpts[0,1] = batmin
+ batpts[1,0] = 0.0
+ batpts[1,1] = batmax
+ batpts[2,1] = batmax
+ sshpts[nx-1,0] = nx-1
+ sshpts[nx-1,1] = sshpts[nx-2,1]
+ sshpts[0,0] = 0.0
+ #sshpts[0,1] = batmin
+ votpts[nx-2,0] = nx-1
+ votpts[nx-1,0] = nx-1
+ votpts[0,0] = 0.0
+ votpts[nx-1,1] = batmax + tol
+ votpts[0,1] = batmax + tol
+ sshpts[0,1] = sshpts[1,1]
+ #for pt in range(nx):
+ #  print pt,votpts[pt,0],votpts[pt,1]
+ for pt in range(nx):
+    sshpts[pt+nx,0]=batpts[nx+1-pt,0]
+    sshpts[pt+nx,1]=batpts[nx+1-pt,1]
+ 
+
+ xs, ys = zip(*votpts)
+ fig, ax = plt.subplots()
+ patches = []
+
+ polygon = Polygon(batpts, True)
+ patches.append(polygon)
+ polygon2 = Polygon(sshpts, True)
+ patches.append(polygon2)
+
+ p = PatchCollection(patches, cmap=matplotlib.cm.jet, alpha=0.4)
+ 
+ #colors = 100*np.random.rand(len(patches))
+ colors = (4,3)
+ p.set_array(np.array(colors))
+
+ ax.add_collection(p)
+ ax.plot(xs,ys, '--', color='black', ms=10)
+
+ plt.annotate(hour,xy=(2,batmin+0.1*brange))
+ plt.annotate(hour2,xy=(2,batmin+0.05*brange))
+ plt.savefig(wadfr)
